com.smartgwt.client.widgets.drawing

## Class Shadow

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.widgets.drawing.Shadow

-     public class Shadow
      extends DataClass

  A class used to define a shadow used in a Draw<Shape> Types.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Shadow()`
    `Shadow(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBlur()`
    `java.lang.String` | `getColor()`
    `Point` | `getOffset()`
    `static Shadow` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `void` | `setBlur(int blur)`
    `void` | `setColor(java.lang.String color)`
    `void` | `setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `void` | `setOffset(Point offset)`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, getJsObj, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, hashCode, isCreated, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Shadow

          public Shadow()

    - #### Shadow

          public Shadow(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static Shadow getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setJavaScriptObject

          public void setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setBlur

          public void setBlur(int blur)

      Parameters:
        `blur` - blur Default value is 10

    - #### getBlur

          public int getBlur()

      Returns:
        int

    - #### setColor

          public void setColor(java.lang.String color)

      Parameters:
        `color` - . See `CSSColor`. Default value is black

    - #### getColor

          public java.lang.String getColor()

      Returns:
        . See `CSSColor`

    - #### setOffset

          public void setOffset(Point offset)

      Parameters:
        `offset` - offset Default value is [0,0]

    - #### getOffset

          public Point getOffset()

      Returns:
        Point